Bug 12729 - Trigger passdb_dsdb initialisation
Trigger passdb_dsdb initialisation
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-31 06:35 UTC by Ralph Böhme
Modified: 2017-04-21 06:57 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.5 and 4.6 cherry-picked from master (3.11 KB, patch)
2017-04-07 09:09 UTC, Ralph Böhme
slow: review? (jra)
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-03-31 06:35:52 UTC
In a s4 member config, the parent winbindd must trigger initialisation of passdb_dsdb, otherwise we're going to use a bogus newly created SID for our domain when initializing the domain list and not the domain SID from dsdb.
Comment 1 Ralph Böhme 2017-04-07 09:09:12 UTC
Created attachment 13143 [details]
Patch for 4.5 and 4.6 cherry-picked from master
Comment 2 Karolin Seeger 2017-04-19 09:28:57 UTC
Pushed to autobuild-v4-{6,5}-test.
Comment 3 Karolin Seeger 2017-04-21 06:57:18 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to both branches.
Closing out bug report.

Thanks!